Channel Commands

<chan>

The logical channel number of the KFM2151 represents the unit number (0 to 4) in the hundredths unit and the channel number (1 to 32) of the specified unit with the lower two digits.

For example, the third channel of the master unit (unit number = 0) is 003 (or 3), and the 32nd channel of the second unit (unit number = 1) is 132.

In this manual, the channel setting is denoted as <chan>.

Refer to the list below, and replace <chan> with the required setting.

<chan> is in the <NR1> form.

Value: | Unit number 0 | 1 to 32 (001 to 032)
| Unit number 1 | 101 to 132
| Unit number 2 | 201 to 232
| Unit number 3 | 301 to 332
| Unit number 4 | 401 to 432

CHAN:VOLT:TERM

Specify the logical channel for voltage scanning and set the terminal and the scanned source (on/off).

Command

CHANnel:VOLTage[:DC]:TERMinals <chan>,<term+_NR1>,<term-_NR1>,{ON|OFF|1|0}

CHANnel:VOLTage[:DC]:TERMinals? <chan>

Parameter <term+_NR1>, <term-_NR1>

Value: | 1 to 32 | The lower two digits of the specified logical channel by default.

Parameter {ON|OFF|1|0}

Value: | ON(1) | Scan the specified channel (default)
| OFF(0) | Not scan the specified channel

Table 3 shows the setting that is specified when *RST is sent.

Response

Returns TERM+ and TERM- of the specified logical channel and the scanned source (on/off) in the <NR1>,<NR1>,<NR1> form in response to CHAN:VOLT:TERM? <chan>.

(Example) If channel 1 of unit number 0 is term+7 and term-8 and is set as a scanned source, the following is returned in response to CHAN:VOLT:TERM? 1.
Reterns 7,8,1.

CHAN:VOLT:NSEL

Specifies the logical channel for voltage scanning. However, the logical channel cannot be specified, if the specified channel is not a scanned source.

Command

CHANnel:VOLTage[:DC]:NSELect <chan>

CHANnel:VOLTage[:DC]:NSELect?

Parameter <chan>

| The default value is 1.
| If the specified channel is not a voltage measurement source, an SCPI error (-221, "Settings conflict") is returned.

Table 3 shows the setting that is specified when *RST is sent.

Response

Returns the logical channel of the specified voltage scanning in the <NR1> form in response to CHAN:VOLT:NSEL?.

CHAN:ROUT:TERM

Specify the logical channel for impedance scanning and set the terminal and the scanned source (on/off). Auto scanning cannot be executed in remote mode.

Command

CHANnel:ROUTe:TERMinals <chan>,<term+_NR1>,<term-_NR1>,{ON|OFF|1|0}

CHANnel:ROUTe:TERMinals? <chan>

Parameter <term+_NR1>, <term-_NR1>

Value: | 1 to 32 | The lower two digits of the specified logical channel by default.

Parameter {ON|OFF|1|0}

Value: | ON(1) | Scan the specified channel (default)
| OFF(0) | Not scan the specified channel

Table 3 shows the setting that is specified when *RST is sent.

Response

Returns TERM+ and TERM- of the specified logical channel and the scanned source (on/off) in the <NR1>,<NR1>,<NR1> form in response to CHAN:ROUT:TERM? <chan>.

(Example) If channel 1 of unit number 0 is term+7 and term-8 and is set as a scanned source, the following is returned in response to CHAN:ROUT:TERM? 1.
Reterns 7,8,1.

CHAN:ROUT:NSEL

Specifies the logical channel for impedance scanning. However, the logical channel cannot be specified, if the specified channel is not a scanned source.

Command

CHANnel:ROUTe:NSELect <chan>

CHANnel:ROUTe:NSELect?

Parameter <chan>

| The default value is 1.
| If the specified channel is not a voltage measurement source, an SCPI error (-221, "Settings conflict") is returned.

Table 3 shows the setting that is specified when *RST is sent.

Response

Returns the logical channel of the specified impedance scanning in the <NR1> form in response to CHAN:ROUT:NSEL?.

VOLT:RANG

Sets the voltage range of the channel specified by CHAN:VOLT:NSEL.

Command

[SENSe:]VOLTage[:DC]:RANGe[:UPPer] {<numeric>|MIN|MAX|DEF}

[SENSe:]VOLTage[:DC]:RANGe[:UPPer]? [{MIN|MAX}]

Parameter

Value: | 2, 20, or 200 The default value is 200.

Table 3 shows the setting that is specified when *RST, MEAS?, CONF:VOLT, or CONF:VOLT:ALL is sent.

Response

Returns the present range setting in the <NR1> form in response to VOLT:RANG?.

VOLT:RANG:AUTO

Sets the voltage range of the channel specified by CHAN:VOLT:NSEL to auto.

Command

[SENSe:]VOLTage[:DC]:RANGe:AUTO {ON|OFF|1|0}

[SENSe:]VOLTage[:DC]:RANGe:AUTO?

Parameter

Value: | ON(1) | Auto range on (default)
| OFF(0) | Auto range off

Table 3 shows the setting that is specified when *RST, MEAS?, CONF:VOLT, or CONF:VOLT:ALL is sent.

Response

Returns the auto range setting in the <NR1> form in response to VOLT:RANG:AUTO?.

VOLT:PROT

Sets the voltage protection (OVP) of the channel specified by CHAN:VOLT:NSEL.

Command

[SENSe:]VOLTage[:DC]:PROTection[:UPPer] {<numeric>|MIN|MAX|DEF}

[SENSe:]VOLTage[:DC]:PROTection[:UPPer]? [{MIN|MAX}]

Parameter

Value: | -2 to 200 | The default value is 200.
Unit: | V |

Table 3 shows the setting that is specified when *RST, MEAS?, CONF:VOLT, or CONF:VOLT:ALL is sent.

Response

Returns the voltage protection (OVP) in the <NR3> form in response to VOLT:PROT?.

VOLT:PROT:LOW

Sets the voltage protection (UVP) of the channel specified by CHAN:VOLT:NSEL.

Command

[SENSe:]VOLTage[:DC]:PROTection:LOWer {<numeric>|MIN|MAX|DEF}

[SENSe:]VOLTage[:DC]:PROTection:LOWer? [{MIN|MAX}]

Parameter

Value: | -2 to 200 | The default value is -2.
Unit: | V |

Table 3 shows the setting that is specified when *RST, MEAS?, CONF:VOLT, or CONF:VOLT:ALL is sent.

Response

Returns the voltage protection (UVP) in the <NR3> form in response to VOLT:PROT?.